<div id="setting-emails">
  <div class="" id="hideBottomInput">
    <div class="mb-4 mt-1">
      <p class="mb-0 text-lg text-neutral-900 font-semibold leading-7">
        Email Notifications
      </p>
      <span class="text-sm">
        These notifications are automatically sent out to the customer. Click on
        the notification template to edit the content.
      </span>
    </div>
    <div class="grid grid-cols-12 gap-6">
      <div class="col-span-12">
        <div class="pa-4 bg-white border border-solid border-gray-200 rounded">
          <p class="mb-0 text-lg text-neutral-900 font-semibold leading-7">
            Orders
          </p>
          <div class="md:flex items-center justify-between mt-4">
            <div>
              <p class="mb-0 text-sm font-semibold text-gray-900">
                Order confirmation
              </p>
              <span class="text-xs text-gray-900">
                Sent automatically to the customer after they place their order.
              </span>
            </div>
            <div class="flex justify-end">
              <v-btn
                color="#3B82F6"
                outlined
                height="44"
                @click="$router.push('/admin/settings/emails/order-confirmation')"
              >
                <p class="mb-0 text-blue-500 capitalize text-sm font-semibold">
                  Edit Content
                </p>
              </v-btn>
            </div>
          </div>
          <v-divider class="my-4"></v-divider>
          <div class="md:flex items-center justify-between">
            <div>
              <p class="mb-0 text-sm font-semibold text-gray-900">
                Order change billing
              </p>
              <span class="text-xs text-gray-900">
                Sent automatically to the customer after they place their order.
              </span>
            </div>
            <div class="flex justify-end">
              <v-btn
                color="#3B82F6"
                outlined
                height="44"
                @click="$router.push('/admin/settings/emails/order-change-billing')"
              >
                <p class="mb-0 text-blue-500 capitalize text-sm font-semibold">
                  Edit Content
                </p>
              </v-btn>
            </div>
          </div>
          <v-divider class="my-4"></v-divider>
          <div class="md:flex items-center justify-between">
            <div>
              <p class="mb-0 text-sm font-semibold text-gray-900">
                Cancel Order
              </p>
              <span class="text-xs text-gray-900">
                Sent automatically to the customer if their order is cancelled
              </span>
            </div>
            <div class="flex justify-end">
              <v-btn
                color="#3B82F6"
                outlined
                height="44"
                @click="$router.push('/admin/settings/emails/order-cancel')"
              >
                <p class="mb-0 text-blue-500 capitalize text-sm font-semibold">
                  Edit Content
                </p>
              </v-btn>
            </div>
          </div>
          <v-divider class="my-4"></v-divider>
          <div class="md:flex items-center justify-between">
            <div>
              <p class="mb-0 text-sm font-semibold text-gray-900">
                Order Fulfilled
              </p>
              <span class="text-xs text-gray-900">
                Sent to the customer automatically after orders with tracking
                information are delivered.
              </span>
            </div>
            <div class="flex justify-end">
              <v-btn
                color="#3B82F6"
                outlined
                height="44"
                @click="$router.push('/admin/settings/emails/order-fulfilled')"
              >
                <p class="mb-0 text-blue-500 capitalize text-sm font-semibold">
                  Edit Content
                </p>
              </v-btn>
            </div>
          </div>
        </div>
        <div
          class="mt-4 pa-4 bg-white border border-solid border-gray-200 rounded"
        >
          <p class="mb-0 text-lg text-neutral-900 font-semibold leading-7">
            Shipping
          </p>
          <div class="flex items-center justify-between mt-4">
            <div>
              <p class="mb-0 text-sm font-semibold text-gray-900">
                Confirm Shipping
              </p>
              <span class="text-xs text-gray-900">
                Sent automatically to the customer after they place their order.
              </span>
            </div>
            <div>
              <v-btn
                color="#3B82F6"
                outlined
                height="44"
                @click="$router.push('/admin/settings/emails/confirm-shinpping')"
              >
                <p class="mb-0 text-blue-500 capitalize text-sm font-semibold">
                  Edit Content
                </p>
              </v-btn>
            </div>
          </div>
        </div>
      </div>
      <!-- <div class="md:col-span-4">
        <p class="mb-0 text-lg text-neutral-900 font-semibold leading-7">
          Verify Domain
        </p>
        <span class="text-sm">
          You need to verify the domain of your email support before adding to the system. Example: if your email
          support is "support@xyz.com", the domain you need to verify is "xyz.com"
        </span>
        <div class="mt-4 pa-4 bg-white border border-solid border-gray-200 rounded">
          <div class="flex gap-4 items-center justify-between">
            <div v-if="!isVerifyDomain">
              <v-text-field dense outlined placeholder="Enter your domain" v-model="domain"></v-text-field>
            </div>
            <p class="mb-0 text-sm font-semibold text-blue-500" v-else>
              {{domain}}
            </p>
            <v-btn color="#3B82F6" class="!shadow-none" height="44" @click="onVerifyDomain" v-if="!isVerifyDomain">
              <p class="mb-0 text-white font-semibold text-sm capitalize">
                Verify Domain
              </p>
            </v-btn>
            <v-btn color="#3B82F6" outlined class="!shadow-none" height="44" @click="isVerifyDomain = false" v-else>
              <p class="mb-0 text-blue-500 font-semibold text-sm capitalize">
                Change Domain
              </p>
            </v-btn>
          </div>
        </div>
      </div> -->
    </div>
  </div>
</div>
